# --------------------------------------------------------------------------
#    "makeGnu.make" - build thermNASA
#                       (c) 2002-2021 by A. Miyoshi,Hiroshima  University
#                                       edited: May  26, 2015
#                                  last edited: May  19, 2021
# --------------------------------------------------------------------------

# ----- names of C++ and Fortran compilers and options -----------------
# ----- suggested names of C++ and Fortran compilers
#  GNU compiler (version 4)         .. g++, gfortran
#               (version 3)         .. g++, g77
#  Intel compilers for Linux/MacOS  .. icc, ifort
#                  for Windows      .. icl, ifort
# ----- suggested optimization flags
#  Intel compilers for Windows      .. -O2
#  Others                           .. -O
# ----------------------------------------------------------------------

CPCMP = g++ -O
#CPCMP = icc -O
#CPCMP = icl -O2

# ----- 'remove' command -----------------------------------------------

RM = rm -f
#RM = del

# ----- file name extensions of object files ---------------------------

XO = o
#XO = obj

# ===== no need to edit below in usual circumstances =======================

LIBOBJ = libfunc.$(XO) element.$(XO) thermNASA.$(XO)

all: thermList thermLi97 thermRead thermEquil

thermList : thermList.cc $(LIBOBJ)
	$(CPCMP) thermList.cc $(LIBOBJ) -o thermList

thermLi97 : thermLi97.cc $(LIBOBJ)
	$(CPCMP) thermLi97.cc $(LIBOBJ) -o thermLi97

thermRead : thermRead.cc $(LIBOBJ)
	$(CPCMP) thermRead.cc $(LIBOBJ) -o thermRead

thermEquil : thermEquil.cc $(LIBOBJ)
	$(CPCMP) thermEquil.cc $(LIBOBJ) -o thermEquil

libfunc.$(XO) : libfunc.cc libfunc.h
	$(CPCMP) -c libfunc.cc

element.$(XO) : element.cc element.h libfunc.h
	$(CPCMP) -c element.cc

thermNASA.$(XO) : thermNASA.cc thermNASA.h
	$(CPCMP) -c thermNASA.cc

clean:
	$(RM) *.$(XO)

